using BingoBrain.Core;

namespace BingoBrain
{
    public static class ManagerBoard
    {
        public static void Register()
        {
            var managerOfManager = Ard.Instance;

            managerOfManager.SetDar(ModuleBoardk.Instance);


            managerOfManager.SetDar(DateTimeBoardk.Instance);
            managerOfManager.SetDar(GameBoardk.Instance);
            managerOfManager.SetDar(SceneBoardk.Instance);


            managerOfManager.SetDar(SceneSwitch.Instance);
            managerOfManager.SetDar(TimerI.Instance);


            managerOfManager.SetDar(PreferencesMgr.Instance);
        }

        public static void RegisterData()
        {
            SceneManagerBoard.AutoRegisterScene();

            ModuleBoard.AutoRegisterModel();
            ModuleBoard.AutoRegisterUIType();
            ModuleBoard.AutoRegisterCtrl();
            ModuleBoard.AutoRegisterUICtrl();

            UIBoard.AutoRegisterBinder();
            UIBoard.AutoRegisterCommonPackages();
        }
    }
}